<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Nodes &mdash; Medusa Nodes 1.1.0-beta documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/custom.css" type="text/css" />
    <link rel="shortcut icon" href="_static/medusa_nodes_favicon.ico"/>
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Generator" href="nodes/generator.html" />
    <link rel="prev" title="Introduction" href="introduction.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> Medusa Nodes
            <img src="_static/medusa_node_logo_animation_003.gif" class="logo" alt="Logo"/>
          </a>
              <div class="version">
                1.1.0-beta
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="about.html">About</a></li>
<li class="toctree-l1"><a class="reference internal" href="release_notes.html">Release Notes</a></li>
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="introduction.html">Introduction</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Nodes</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#main-nodes">Main Nodes</a></li>
<li class="toctree-l2"><a class="reference internal" href="#initials">Initials</a><ul>
<li class="toctree-l3"><a class="reference internal" href="nodes/generator.html">Generator</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/visualizer.html">Visualizer</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#deformers">Deformers</a><ul>
<li class="toctree-l3"><a class="reference internal" href="nodes/guide.html">Guide</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/clump.html">Clump</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/braid.html">Braid</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/noise.html">Noise</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/curl.html">Curl</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/trim.html">Trim</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#utility">Utility</a><ul>
<li class="toctree-l3"><a class="reference internal" href="nodes/curves_to_splines.html">Curves to Splines</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/mirror.html">Mirror</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/scale.html">Scale</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/resample_hair.html">Resample Hair</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/children.html">Children</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#simulation">Simulation</a><ul>
<li class="toctree-l3"><a class="reference internal" href="nodes/cache.html">Cache</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/dynamics.html">Dynamics</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#mask-groups">Mask Groups</a><ul>
<li class="toctree-l3"><a class="reference internal" href="nodes/maskGroups/texture.html">Texture</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/maskGroups/random.html">Random</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/maskGroups/percent.html">Percent</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/maskGroups/noise.html">Noise</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/maskGroups/curve.html">Curve</a></li>
<li class="toctree-l3"><a class="reference internal" href="nodes/maskGroups/ramp.html">Ramp</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Medusa Nodes</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a></li>
      <li class="breadcrumb-item active">Nodes</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/nodes.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <figure class="align-center" id="id2" style="width: 100%">
<span id="nodes"></span><a class="reference internal image-reference" href="_images/medusa_nodes_nodes.jpg"><img alt="Add Deformers Menu" src="_images/medusa_nodes_nodes.jpg" style="width: 800px;" /></a>
<figcaption>
<p><span class="caption-text"> </span><a class="headerlink" href="#id2" title="Permalink to this image"></a></p>
</figcaption>
</figure>
<section id="id1">
<h1>Nodes<a class="headerlink" href="#id1" title="Permalink to this headline"></a></h1>
<p class="linemarker linemarker-16"><strong>Medusa Nodes</strong> uses custom-made nodes (node groups) built inside Geometry Nodes.</p>
<p class="linemarker linemarker-18">There are two types of node groups:</p>
<section id="main-nodes">
<h2>Main Nodes<a class="headerlink" href="#main-nodes" title="Permalink to this headline"></a></h2>
<div class="dual-content docutils container">
<div class="left docutils container">
<p class="linemarker linemarker-27">Main nodes affect the hair and guide objects. There are four types of main nodes:</p>
<ul class="simple">
<li><p class="linemarker linemarker-29"><strong>Initials</strong>:</p></li>
</ul>
<blockquote>
<div><p class="linemarker linemarker-30">Nodes that initially come with every new hair or guide object. They cannot be removed.</p>
</div></blockquote>
<ul class="simple">
<li><p class="linemarker linemarker-32"><strong>Deformers</strong>:</p></li>
</ul>
<blockquote>
<div><p class="linemarker linemarker-33">Procedural modeling nodes that deform or shape the splines in a realistic manner.</p>
</div></blockquote>
<ul class="simple">
<li><p class="linemarker linemarker-35"><strong>Utility</strong>:</p></li>
</ul>
<blockquote>
<div><p class="linemarker linemarker-36">Responsible for some of the more technical procedural spline editing.</p>
</div></blockquote>
<ul class="simple">
<li><p class="linemarker linemarker-38"><strong>Simulation</strong>:</p></li>
</ul>
<blockquote>
<div><p class="linemarker linemarker-39">Nodes that utilize different solving algorithms accompanied with caching.</p>
</div></blockquote>
</div>
<div class="right docutils container">
<figure class="align-center" id="id3" style="width: 100%">
<a class="reference internal image-reference" href="_images/add_deformers_menu_002.png"><img alt="Add Deformer Menu" src="_images/add_deformers_menu_002.png" style="width: 300px;" /></a>
<figcaption>
<p><span class="caption-text">“Add Deformer” Menu</span><a class="headerlink" href="#id3" title="Permalink to this image"></a></p>
</figcaption>
</figure>
</div>
</div>
</section>
<section id="initials">
<h2>Initials<a class="headerlink" href="#initials" title="Permalink to this headline"></a></h2>
<table class="colwidths-given docutils align-default">
<colgroup>
<col style="width: 29%" />
<col style="width: 71%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p class="linemarker linemarker-57"><a class="reference internal" href="_images/generator.png"><img alt="Generator Icon." src="_images/generator.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/generator.html"><span class="doc">Generator</span></a></p></td>
<td><p class="linemarker linemarker-58">Generates splines (hair follicles) on the mesh object.</p></td>
</tr>
<tr class="row-even"><td><p class="linemarker linemarker-59"><a class="reference internal" href="_images/visualizer.png"><img alt="Visualizer Icon." src="_images/visualizer.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/visualizer.html"><span class="doc">Visualizer</span></a></p></td>
<td><p class="linemarker linemarker-60">Visualizes splines by adding thickness and material shading.</p></td>
</tr>
</tbody>
</table>
<div class="toctree-wrapper compound">
</div>
</section>
<section id="deformers">
<h2>Deformers<a class="headerlink" href="#deformers" title="Permalink to this headline"></a></h2>
<table class="colwidths-given docutils align-default">
<colgroup>
<col style="width: 24%" />
<col style="width: 76%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p class="linemarker linemarker-76"><a class="reference internal" href="_images/guide.png"><img alt="Guide Icon." src="_images/guide.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/guide.html"><span class="doc">Guide</span></a></p></td>
<td><p class="linemarker linemarker-77">Shapes the hair with the help of the <strong>Guide object</strong>.</p></td>
</tr>
<tr class="row-even"><td><p class="linemarker linemarker-78"><a class="reference internal" href="_images/clump.png"><img alt="Clump Icon." src="_images/clump.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/clump.html"><span class="doc">Clump</span></a></p></td>
<td><p class="linemarker linemarker-79">Creates various kinds of clumps, supports nested-clumping.</p></td>
</tr>
<tr class="row-odd"><td><p class="linemarker linemarker-80"><a class="reference internal" href="_images/braid.png"><img alt="Braid Icon." src="_images/braid.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/braid.html"><span class="doc">Braid</span></a></p></td>
<td><p class="linemarker linemarker-81">Adds regular and fishbone braids.</p></td>
</tr>
<tr class="row-even"><td><p class="linemarker linemarker-82"><a class="reference internal" href="_images/noise.png"><img alt="Noise Icon." src="_images/noise.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/noise.html"><span class="doc">Noise</span></a></p></td>
<td><p class="linemarker linemarker-83">Adds noise-based deformation.</p></td>
</tr>
<tr class="row-odd"><td><p class="linemarker linemarker-84"><a class="reference internal" href="_images/curl.png"><img alt="Curl Icon." src="_images/curl.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/curl.html"><span class="doc">Curl</span></a></p></td>
<td><p class="linemarker linemarker-85">Adds curls to hair.</p></td>
</tr>
<tr class="row-even"><td><p class="linemarker linemarker-86"><a class="reference internal" href="_images/trim.png"><img alt="Trim Icon." src="_images/trim.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/trim.html"><span class="doc">Trim</span></a></p></td>
<td><p class="linemarker linemarker-87">Trims / cuts the hair.</p></td>
</tr>
</tbody>
</table>
<div class="toctree-wrapper compound">
</div>
</section>
<section id="utility">
<h2>Utility<a class="headerlink" href="#utility" title="Permalink to this headline"></a></h2>
<table class="colwidths-given docutils align-default">
<colgroup>
<col style="width: 24%" />
<col style="width: 76%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p class="linemarker linemarker-106"><a class="reference internal" href="_images/curves_to_splines.png"><img alt="Curves to Splines Icon." src="_images/curves_to_splines.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/curves_to_splines.html"><span class="doc">Curves to Splines</span></a></p></td>
<td><p class="linemarker linemarker-107">Gives the ability to draw and edit Blender’s regular curves objects on Medusa Nodes <strong>Hair object</strong>.</p></td>
</tr>
<tr class="row-even"><td><p class="linemarker linemarker-108"><a class="reference internal" href="_images/mirror.png"><img alt="Mirror Icon." src="_images/mirror.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/mirror.html"><span class="doc">Mirror</span></a></p></td>
<td><p class="linemarker linemarker-109">Mirrors the guide and the hair splines along multiple axes.</p></td>
</tr>
<tr class="row-odd"><td><p class="linemarker linemarker-110"><a class="reference internal" href="_images/scale.png"><img alt="Scale Icon." src="_images/scale.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/scale.html"><span class="doc">Scale</span></a></p></td>
<td><p class="linemarker linemarker-111">Scales the guide and the hair splines by the custom factor.</p></td>
</tr>
<tr class="row-even"><td><p class="linemarker linemarker-112"><a class="reference internal" href="_images/resample_hair.png"><img alt="Resample Hair Icon." src="_images/resample_hair.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/resample_hair.html"><span class="doc">Resample Hair</span></a></p></td>
<td><p class="linemarker linemarker-113">Resamples and redistributes the control points in the splines.</p></td>
</tr>
<tr class="row-odd"><td><p class="linemarker linemarker-114"><a class="reference internal" href="_images/children.png"><img alt="Children Icon." src="_images/children.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/children.html"><span class="doc">Children</span></a></p></td>
<td><p class="linemarker linemarker-115">Randomly adds simple copies of already existing hair follicles.</p></td>
</tr>
</tbody>
</table>
<div class="toctree-wrapper compound">
</div>
</section>
<section id="simulation">
<h2>Simulation<a class="headerlink" href="#simulation" title="Permalink to this headline"></a></h2>
<table class="colwidths-given docutils align-default">
<colgroup>
<col style="width: 24%" />
<col style="width: 76%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p class="linemarker linemarker-133"><a class="reference internal" href="_images/cache.png"><img alt="Cache Icon." src="_images/cache.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/cache.html"><span class="doc">Cache</span></a></p></td>
<td><p class="linemarker linemarker-134">Caches the deformation produced by the simulation or animation, making the playback faster.</p></td>
</tr>
<tr class="row-even"><td><p class="linemarker linemarker-135"><a class="reference internal" href="_images/dynamics.png"><img alt="Dynamics Icon." src="_images/dynamics.png" style="height: 25px;" /></a>   <a class="reference internal" href="nodes/dynamics.html"><span class="doc">Dynamics</span></a></p></td>
<td><p class="linemarker linemarker-136">Simulates guide and hair splines using custom dynamics solver.</p></td>
</tr>
</tbody>
</table>
<div class="toctree-wrapper compound">
</div>
</section>
<section id="mask-groups">
<h2>Mask Groups<a class="headerlink" href="#mask-groups" title="Permalink to this headline"></a></h2>
<div class="dual-content docutils container">
<div class="left docutils container">
<p class="linemarker linemarker-152">Mask Groups can alter different parameters of the Main nodes, mainly by producing black and white values.</p>
<p class="linemarker linemarker-154">They are not always necessary but can help modulate the effect produced by a Main node.</p>
</div>
<div class="right docutils container">
<figure class="align-center" id="id4" style="width: 100%">
<a class="reference internal image-reference" href="_images/mask_groups.png"><img alt="Mask Group Options menu's screenshot" src="_images/mask_groups.png" style="width: 300px;" /></a>
<figcaption>
<p><span class="caption-text">“Mask Group Options” menu.</span><a class="headerlink" href="#id4" title="Permalink to this image"></a></p>
</figcaption>
</figure>
</div>
</div>
<table class="colwidths-given docutils align-default">
<colgroup>
<col style="width: 24%" />
<col style="width: 76%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p class="centered">
<strong><a class="reference internal" href="nodes/maskGroups/texture.html"><span class="doc">Texture</span></a></strong></p></td>
<td><p class="linemarker linemarker-170">Uses painted textures as influence masks.</p></td>
</tr>
<tr class="row-even"><td><p class="centered">
<strong><a class="reference internal" href="nodes/maskGroups/random.html"><span class="doc">Random</span></a></strong></p></td>
<td><p class="linemarker linemarker-172">Uses a random function as influence masks.</p></td>
</tr>
<tr class="row-odd"><td><p class="centered">
<strong><a class="reference internal" href="nodes/maskGroups/percent.html"><span class="doc">Percent</span></a></strong></p></td>
<td><p class="linemarker linemarker-174">Uses a percent function as influence masks.</p></td>
</tr>
<tr class="row-even"><td><p class="centered">
<strong><a class="reference internal" href="nodes/maskGroups/noise.html"><span class="doc">Noise</span></a></strong></p></td>
<td><p class="linemarker linemarker-176">Uses a noise function as influence masks.</p></td>
</tr>
<tr class="row-odd"><td><p class="centered">
<strong><a class="reference internal" href="nodes/maskGroups/curve.html"><span class="doc">Curve</span></a></strong></p></td>
<td><p class="linemarker linemarker-178">Uses a Float Curve as influence masks.</p></td>
</tr>
<tr class="row-even"><td><p class="centered">
<strong><a class="reference internal" href="nodes/maskGroups/ramp.html"><span class="doc">Ramp</span></a></strong></p></td>
<td><p class="linemarker linemarker-180">Uses a Color Ramp as influence masks.</p></td>
</tr>
</tbody>
</table>
<div class="toctree-wrapper compound">
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="introduction.html" class="btn btn-neutral float-left" title="Introduction" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="nodes/generator.html" class="btn btn-neutral float-right" title="Generator" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, Medusa Nodes.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>